import { IMchc_Doctor_Diagnoses, IMchc_Doctor_OutpatientHeaderInfo, IMchc_Doctor_RvisitInfoOfOutpatient, TIdTypeCompatible } from '@lm_fe/service';
import React from 'react';
import './index.less';
interface IProps {
    visitsData?: IMchc_Doctor_RvisitInfoOfOutpatient;
    headerInfo: IMchc_Doctor_OutpatientHeaderInfo;
    id: TIdTypeCompatible;
    changeScreening(b: boolean): void;
    changeSyphilis(b: boolean): void;
    diagnosesList: IMchc_Doctor_Diagnoses[];
    furtherRefresh(): void;
    diagnosesWord: string;
    getHighriskDiagnosis(id: TIdTypeCompatible): void;
    serialNo: string;
    saveHeaderInfo(h: IMchc_Doctor_OutpatientHeaderInfo): void;
    setDiagnosesList(list: any[]): void;
    setDiagnosesWord(t: string): void;
}
export default function FurtherSidebar(props: IProps): React.JSX.Element | null;
export {};
